version: '3'

services:
  mysql:
      image: mysql:5.7
      volumes:
        - mysql_data:/var/lib/mysql
      environment:
        MYSQL_ROOT_PASSWORD: root1keycloak
        MYSQL_DATABASE: keycloak
        MYSQL_USER: keycloak
        MYSQL_PASSWORD: key2cloak
        
  keycloak:
      image: jboss/keycloak:15.0.2
      volumes:
        - c:\\srv\\docker\\keycloak\\data\\certs\\:/etc/x509/https
        - ./hea/hea-export.json:/tmp/hea-export.json

      environment:
        DB_VENDOR: MYSQL
        DB_ADDR: mysql
        DB_DATABASE: keycloak
        DB_USER: keycloak
        DB_PASSWORD: key2cloak
        KEYCLOAK_USER: admin
        KEYCLOAK_PASSWORD: admin
        KEYCLOAK_HTTP_PORT: 8480
        KEYCLOAK_HTTPS_PORT: 8444
        KEYCLOAK_IMPORT: /tmp/hea-export.json        
      ports:
        - 8480:8080
        - 8444:8443
      depends_on:
        - mysql
      
volumes:
  mysql_data: ~
